local PotatoTweaks = Apollo.GetAddon("PotatoTweaks")
local tTweak = {
	name="Add Daily Scans to AutoScan",
	description="Adds Crimson Badland and Northern Wastes daily scans to the AutoScan addon.",
	boolean="bAutoScan",
	func="DailyAutoScan",
	dependencies={"AutoScan"}
}
--table.insert(PotatoTweaks.tTweaks, tTweak)

function PotatoTweaks:DailyAutoScan()	
	--[[local AutoScan = Apollo.GetAddon("AutoScan")	
	if AutoScan then
		local OnTimer = function(self, bEnabled)
			if PlayerPathLib.GetPlayerPathType() == PlayerPathLib.PlayerPathType_Scientist then
				if self.playerUnit ~= nil and self.playerUnit:IsValid() then
					if (not PlayerPathLib.ScientistHasScanBot()) then
						PlayerPathLib.ScientistToggleScanBot()
					end
					for unitId,tUnit in pairs(self.units) do
						local unit = tUnit.unit
						local distance = self:GetDistanceTo(unit)
						if not tUnit.scanned and  distance < 50 then
							for k,v in pairs(unit:GetRewardInfo() or {}) do
								-- I found additionally checking the v.pmMission would cause units not to scan
								if v.strType=="Scientist" then
									self:ScanUnit(tUnit)
									return -- the timer will catch the next one
								end
							end
							if bEnabled then
								if (unit:GetName() == "Dreg Mutagen" or unit:GetName() == "Iridescent Crystal") and unit:GetType() ~= "PinataLoot" then
									self:ScanUnit(tUnit)
								end
							end
						end
					end
				else
					self.playerUnit = GameLib.GetPlayerUnit()
				end
			end
		end
		
		local OnTargetUnitChanged = function(self, unit, bEnabled)
			if userSettings.scanOnTarget and unit and PlayerPathLib.GetPlayerPathType() == PlayerPathLib.PlayerPathType_Scientist then
				local unitId = unit:GetId()
				local tUnit = self.units[unitId]
				for k,v in pairs(unit:GetRewardInfo() or {}) do
					if v.strType=="Scientist" then
						self:ScanUnit(tUnit)
						return
					end
				end
				if bEnabled then
					if (unit:GetName() == "Dreg Mutagen" or unit:GetName() == "Iridescent Crystal") and unit:GetType() ~= "PinataLoot" then
						self:ScanUnit(tUnit)
					end
				end
			end
		end
		
		local bAutoScan = self.bAutoScan
		AutoScan.OnTimer = function(self)
			OnTimer(self, bAutoScan)
		end
		AutoScan.OnTargetUnitChanged = function(self, unit)
			OnTargetUnitChanged(self, bAutoScan)
		end
	end]]--
end


