local PotatoTweaks = Apollo.GetAddon("PotatoTweaks")
local tTweak1 = {
	name="Remove Store Flashing Effects",
	description="Removes the orange flashing effects on the interface menu button for the cash shop.",
	boolean="bFlashStore",
	func="FlashStore",
	dependencies={"InterfaceMenuList"}
}
table.insert(PotatoTweaks.tTweaks,tTweak1)

function PotatoTweaks:FlashStore()	
	local InterfaceMenuList = Apollo.GetAddon("InterfaceMenuList")
	local bFlashStore = self.bFlashStore
	
	if InterfaceMenuList then
		InterfaceMenuList.wndMain:FindChild("MTXBtn_Runner"):Show(not bFlashStore)
		InterfaceMenuList.wndMain:FindChild("MTXBtn_Pulse"):Show(not bFlashStore)
		local OnMarketplaceOpenBtn = function(self, wndHandler, wndControl, bFlash)
			if not bFlash and wndControl:FindChild("MTXBtn_Runner"):IsShown() then
				wndControl:FindChild("MTXBtn_Runner"):Show(false)
				wndControl:FindChild("MTXBtn_Pulse"):Show(true) 
			end
			GameLib.OpenStore()
		end
		InterfaceMenuList.OnMarketplaceOpenBtn = function(self, wndHandler, wndControl)
			OnMarketplaceOpenBtn(self, wndHandler, wndControl, bFlashStore)
		end
	end
end